Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-0361

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2004-0361
Last Modified 05 Sep 2008 04:38:13
Published 23 Nov 2004 12:00:00
Confidentiality Impact NONE NONE
Integrity Impact NONE NONE
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-0361

Summary

The Javascript engine in Safari 1.2 and earlier allows remote attackers to cause a denial of service (segmentation fault) by creating a new Array object with a large size value, then writing into that array.

Vulnerable Systems


References

XF - safari-array-dos(15413)

BID - 9815

MISC - http://www.insecure.ws/article.php?story=2004021918172533

BUGTRAQ - 20040306 Safari javascript array overflow


Last Updated: 27 May 2016 10:38:34